Package org.apache.sysds.runtime.compress.lib

# Class CLALibReorg

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibReorg

public class CLALibReorg extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`warned`

## Constructor Summary

Constructors
Constructor
Description
`CLALibReorg()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`reorg(CompressedMatrixBlock cmb, ReorgOperator op, MatrixBlock ret, int startRow, int startColumn, int length)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### warned

public static boolean warned

## Constructor Details

### CLALibReorg

public CLALibReorg()

## Method Details

### reorg

public static MatrixBlock reorg(CompressedMatrixBlock cmb, ReorgOperator op, MatrixBlock ret, int startRow, int startColumn, int length)